Name:           gtkpod
Version:        0.99.8
Release:        3%{?dist}
Summary:        Graphical song management program for Apple's iPod

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.gtkpod.org
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}_libgpod-0.4.2.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  flex
BuildRequires:  gettext
BuildRequires:  libglade2-devel
BuildRequires:  libgpod-devel >= 0.4.2
BuildRequires:  libid3tag-devel
BuildRequires:  libmp4v2-devel

%description
gtkpod is a platform independent Graphical User Interface for Apple's
iPod using GTK2. It supports the first to fifth Generation including
the iPod mini, iPod Photo, iPod Shuffle, iPod nano, and iPod Video.


%prep
%setup -q
# patch from upstream to build against libgpod-0.4.2
%patch -p1 -b .libgpod-0.4.2

cp -p %{SOURCE1} %{name}.desktop

%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

# install symlink to menu icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../%{name}/pixmaps/%{name}-icon-48.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
    --vendor fedora \
    --mode 0644 \
    --dir %{buildroot}%{_datadir}/applications \
    %{name}.desktop

%find_lang %{name}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING README TODOandBUGS.txt TROUBLESHOOTING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Fri Feb 16 2007 Todd Zullinger <tmz@pobox.com> - 0.99.8-3
- preserve timestamps when copying .desktop file to builddir and
  running make install
- use a symlink for the menu icon

* Mon Feb 12 2007 Todd Zullinger <tmz@pobox.com> - 0.99.8-2
- remove redundant gtk2-devel BR
- move .desktop creation to a separate file
- remove livna stuff from .desktop file
- don't use macros for install and mkdir
- remove NEWS file from %%doc as it mostly mirrors the ChangeLog

* Mon Feb 12 2007 Todd Zullinger <tmz@pobox.com> - 0.99.8-1
- initial fedora package, parts stolen from Matthias' FreshRPMS spec
